VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vcenter::Host::CreateSpec Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Host::CreateSpec:

## Classes
class | ThumbprintVerification

## Avaliable Methods
public method | get_folder ()
public method | set_port ()
public method | set_folder ()
public method | set_thumbprint ()
public method | get_force_add ()
public method | set_force_add ()
public method | set_thumbprint_verification ()
public method | get_hostname ()
public method | new ()
public method | get_thumbprint ()
public method | get_thumbprint_verification ()
public method | set_hostname ()
public method | get_port ()
public method | set_user_name ()
public method | set_password ()
public method | get_user_name ()
public method | get_password ()

## Detailed Description

The `Com::Vmware::Vcenter::Host::CreateSpec` class defines the information used to create a host.

## Member Function Documentation

public method Com::Vmware::Vcenter::Host::CreateSpec::get_folder | ( |  | ) |

Gets the value of 'folder' property.

Return values

  folder | - The current value of the field. Host and cluster folder in which the new standalone host should be created. Optional#

Code:
click to view
# Number of lines of code in get_folder: 5
sub get_folder {
my ($self, %args) = @_;
return $self->{'folder'};
}

public method Com::Vmware::Vcenter::Host::CreateSpec::get_force_add | ( |  | ) |

Gets the value of 'force_add' property.

Return values

  force_add | - The current value of the field. Whether host should be added to the vCenter Server even if it is being managed by another vCenter Server. The original vCenterServer loses connection to the host. Optional#

Code:
click to view
# Number of lines of code in get_force_add: 5
sub get_force_add {
my ($self, %args) = @_;
return $self->{'force_add'};
}

public method Com::Vmware::Vcenter::Host::CreateSpec::get_hostname | ( |  | ) |

Gets the value of 'hostname' property.

Return values

  hostname | - The current value of the field. The IP address or DNS resolvable name of the host. String#

Code:
click to view
# Number of lines of code in get_hostname: 5
sub get_hostname {
my ($self, %args) = @_;
return $self->{'hostname'};
}

public method Com::Vmware::Vcenter::Host::CreateSpec::get_password | ( |  | ) |

Gets the value of 'password' property.

Return values

  password | - The current value of the field. The password for the administrator account on the host. Secret#

Code:
click to view
# Number of lines of code in get_password: 5
sub get_password {
my ($self, %args) = @_;
return $self->{'password'};
}

public method Com::Vmware::Vcenter::Host::CreateSpec::get_port | ( |  | ) |

Gets the value of 'port' property.

Return values

  port | - The current value of the field. The port of the host. Optional#

Code:
click to view
# Number of lines of code in get_port: 5
sub get_port {
my ($self, %args) = @_;
return $self->{'port'};
}

public method Com::Vmware::Vcenter::Host::CreateSpec::get_thumbprint | ( |  | ) |

Gets the value of 'thumbprint' property.

Return values

  thumbprint | - The current value of the field. The thumbprint of the SSL certificate, which the host is expected to have. The thumbprint is always computed using the SHA1 hash and is the string representation of that hash in the format: xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx where, 'x' represents a hexadecimal digit. optional#

Code:
click to view
# Number of lines of code in get_thumbprint: 5
sub get_thumbprint {
my ($self, %args) = @_;
return $self->{'thumbprint'};
}

public method Com::Vmware::Vcenter::Host::CreateSpec::get_thumbprint_verification | ( |  | ) |

Gets the value of 'thumbprint_verification' property.

Return values

  thumbprint_verification | - The current value of the field. Type of host's SSL certificate verification to be done. ThumbprintVerification#

Code:
click to view
# Number of lines of code in get_thumbprint_verification: 5
sub get_thumbprint_verification {
my ($self, %args) = @_;
return $self->{'thumbprint_verification'};
}

public method Com::Vmware::Vcenter::Host::CreateSpec::get_user_name | ( |  | ) |

Gets the value of 'user_name' property.

Return values

  user_name | - The current value of the field. The administrator account on the host. String#

Code:
click to view
# Number of lines of code in get_user_name: 5
sub get_user_name {
my ($self, %args) = @_;
return $self->{'user_name'};
}

public method Com::Vmware::Vcenter::Host::CreateSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Host::CreateSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 39
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'thumbprint_verification',
'case_map' => {
'THUMBPRINT' => ['thumbprint'],
'NONE' => [],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{hostname} = $args{'hostname'};
$self->{port} = $args{'port'};
$self->{user_name} = $args{'user_name'};
$self->{password} = $args{'password'};
$self->{folder} = $args{'folder'};
$self->{thumbprint_verification} = $args{'thumbprint_verification'};
$self->{thumbprint} = $args{'thumbprint'};
$self->{force_add} = $args{'force_add'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Host::CreateSpec');
$self->set_binding_name('name' => 'com.vmware.vcenter.host.create_spec');
$self->set_binding_field('key' => 'hostname', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'port', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'user_name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'password', 'value' => new Com::Vmware::Vapi::Bindings::Type::SecretType());
$self->set_binding_field('key' => 'folder', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'thumbprint_verification', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter', 'type_name' => 'Host::CreateSpec::ThumbprintVerification'));
$self->set_binding_field('key' => 'thumbprint', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'force_add', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Host::CreateSpec::set_folder | ( |  | ) |

Sets the given value for 'folder' property.

Parameters

  folder | - New value for the field. Host and cluster folder in which the new standalone host should be created.

Code:
click to view
# Number of lines of code in set_folder: 6
sub set_folder {
my ($self, %args) = @_;
$self->{'folder'} = $args{'folder'};
return;
}

public method Com::Vmware::Vcenter::Host::CreateSpec::set_force_add | ( |  | ) |

Sets the given value for 'force_add' property.

Parameters

  force_add | - New value for the field. Whether host should be added to the vCenter Server even if it is being managed by another vCenter Server. The original vCenterServer loses connection to the host.

Code:
click to view
# Number of lines of code in set_force_add: 10
sub set_force_add {
my ($self, %args) = @_;
$self->{'force_add'} = $args{'force_add'};
return;
}
1;

public method Com::Vmware::Vcenter::Host::CreateSpec::set_hostname | ( |  | ) |

Sets the given value for 'hostname' property.

Parameters

  hostname | - New value for the field. The IP address or DNS resolvable name of the host.

Code:
click to view
# Number of lines of code in set_hostname: 6
sub set_hostname {
my ($self, %args) = @_;
$self->{'hostname'} = $args{'hostname'};
return;
}

public method Com::Vmware::Vcenter::Host::CreateSpec::set_password | ( |  | ) |

Sets the given value for 'password' property.

Parameters

  password | - New value for the field. The password for the administrator account on the host.

Code:
click to view
# Number of lines of code in set_password: 6
sub set_password {
my ($self, %args) = @_;
$self->{'password'} = $args{'password'};
return;
}

public method Com::Vmware::Vcenter::Host::CreateSpec::set_port | ( |  | ) |

Sets the given value for 'port' property.

Parameters

  port | - New value for the field. The port of the host.

Code:
click to view
# Number of lines of code in set_port: 6
sub set_port {
my ($self, %args) = @_;
$self->{'port'} = $args{'port'};
return;
}

public method Com::Vmware::Vcenter::Host::CreateSpec::set_thumbprint | ( |  | ) |

Sets the given value for 'thumbprint' property.

Parameters

  thumbprint | - New value for the field. The thumbprint of the SSL certificate, which the host is expected to have. The thumbprint is always computed using the SHA1 hash and is the string representation of that hash in the format: xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx where, 'x' represents a hexadecimal digit.

Code:
click to view
# Number of lines of code in set_thumbprint: 6
sub set_thumbprint {
my ($self, %args) = @_;
$self->{'thumbprint'} = $args{'thumbprint'};
return;
}

public method Com::Vmware::Vcenter::Host::CreateSpec::set_thumbprint_verification | ( |  | ) |

Sets the given value for 'thumbprint_verification' property.

Parameters

  thumbprint_verification | - New value for the field. Type of host's SSL certificate verification to be done.

Code:
click to view
# Number of lines of code in set_thumbprint_verification: 6
sub set_thumbprint_verification {
my ($self, %args) = @_;
$self->{'thumbprint_verification'} = $args{'thumbprint_verification'};
return;
}

public method Com::Vmware::Vcenter::Host::CreateSpec::set_user_name | ( |  | ) |

Sets the given value for 'user_name' property.

Parameters

  user_name | - New value for the field. The administrator account on the host.

Code:
click to view
# Number of lines of code in set_user_name: 6
sub set_user_name {
my ($self, %args) = @_;
$self->{'user_name'} = $args{'user_name'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Host.pm